Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.factory
Class OWLJavaFactory

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.DefaultFrameFactory
          edu.stanford.smi.protegex.owl.model.factory.OWLJavaFactory

All Implemented Interfaces:
  edu.stanford.smi.protege.model.FrameFactory

Direct Known Subclasses:
  SWRLJavaFactory

    public class OWLJavaFactory

extends edu.stanford.smi.protege.model.framestore.DefaultFrameFactory

A DefaultFrameFactory that creates the proper Java objects for Protege frames.

Author:
  Holger Knublauch

Field Summary

Fields inherited from class edu.stanford.smi.protege.model.framestore.DefaultFrameFactory
`DEFAULT_CLS_JAVA_CLASS_ID, DEFAULT_FACET_JAVA_CLASS_ID, DEFAULT_SIMPLE_INSTANCE_JAVA_CLASS_ID, DEFAULT_SLOT_JAVA_CLASS_ID`

Constructor Summary
`OWLJavaFactory(AbstractOWLModel owlModel)`

Method Summary
`RDFResource` | `as(RDFResource resource, Class javaInterface)`
`boolean` | `canAs(RDFResource resource, Class javaInterface)`
`edu.stanford.smi.protege.model.Cls` | `createCls(edu.stanford.smi.protege.model.FrameID id, Collection directTypes)` Creates instances of the corresponding subclass of DefaultCls if one of the metaclasses of the directTypes list is an OWL metaclass.
`edu.stanford.smi.protege.model.Frame` | `createFrameFromClassId(int javaClassId, edu.stanford.smi.protege.model.FrameID id)`
`protected edu.stanford.smi.protege.model.Instance` | `createInstance(edu.stanford.smi.protege.model.FrameID id, Class<? extends edu.stanford.smi.protege.model.Instance> type)`
`edu.stanford.smi.protege.model.SimpleInstance` | `createSimpleInstance(edu.stanford.smi.protege.model.FrameID id, Collection directTypes)`
`edu.stanford.smi.protege.model.Slot` | `createSlot(edu.stanford.smi.protege.model.FrameID id, Collection directTypes)`
`Class` | `getImplementationClass(Class javaInterface)`
`String` | `getImplementationClassName(Class javaInterface)`
`Constructor` | `getImplementationConstructor(Class javaInterface)`
`int` | `getJavaClassId(edu.stanford.smi.protege.model.Frame frame)`
`String` | `getJavaInterfaceName(RDFSClass cls)`
`boolean` | `isCorrectJavaImplementationClass(edu.stanford.smi.protege.model.FrameID id, Collection types, Class clas)`

Methods inherited from class edu.stanford.smi.protege.model.framestore.DefaultFrameFactory
`addJavaPackage, configureCls, configureFacet, configureSimpleInstance, configureSlot, createCls, createFacet, createFacet, createSimpleInstance, createSlot, getClsJavaClassIds, getFacetJavaClassIds, getImplementationClass, getJavaClassName, getKnowledgeBase, getSimpleInstanceJavaClassIds, getSlotJavaClassIds, isValidCharacter, removeJavaPackage, rename`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OWLJavaFactory

    public OWLJavaFactory(AbstractOWLModel owlModel)

Method Detail

### createFrameFromClassId

    public edu.stanford.smi.protege.model.Frame createFrameFromClassId(int javaClassId,
                                                                       edu.stanford.smi.protege.model.FrameID id)

  Specified by:
    `createFrameFromClassId` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `createFrameFromClassId` in class `edu.stanford.smi.protege.model.framestore.DefaultFrameFactory`

### getJavaClassId

    public int getJavaClassId(edu.stanford.smi.protege.model.Frame frame)

  Specified by:
    `getJavaClassId` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `getJavaClassId` in class `edu.stanford.smi.protege.model.framestore.DefaultFrameFactory`

### createInstance

    protected edu.stanford.smi.protege.model.Instance createInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                     Class<? extends edu.stanford.smi.protege.model.Instance> type)

### as

    public RDFResource as(RDFResource resource,
                          Class javaInterface)

### canAs

    public boolean canAs(RDFResource resource,
                         Class javaInterface)

### getImplementationClassName

    public String getImplementationClassName(Class javaInterface)

### getImplementationClass

    public Class getImplementationClass(Class javaInterface)
                                 throws ClassNotFoundException

  Throws:
    `ClassNotFoundException`

### getImplementationConstructor

    public Constructor getImplementationConstructor(Class javaInterface)

### getJavaInterfaceName

    public String getJavaInterfaceName(RDFSClass cls)

### createCls

    public edu.stanford.smi.protege.model.Cls createCls(edu.stanford.smi.protege.model.FrameID id,
                                                        Collection directTypes)

  Creates instances of the corresponding subclass of DefaultCls if one of the metaclasses of the directTypes list is an OWL metaclass.

  Specified by:
    `createCls` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `createCls` in class `edu.stanford.smi.protege.model.framestore.DefaultFrameFactory`
  Parameters:
    `id` -
    `directTypes` -
  Returns:
    the new Cls object

### createSimpleInstance

    public edu.stanford.smi.protege.model.SimpleInstance createSimpleInstance(edu.stanford.smi.protege.model.FrameID id,
                                                                              Collection directTypes)

  Specified by:
    `createSimpleInstance` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `createSimpleInstance` in class `edu.stanford.smi.protege.model.framestore.DefaultFrameFactory`

### createSlot

    public edu.stanford.smi.protege.model.Slot createSlot(edu.stanford.smi.protege.model.FrameID id,
                                                          Collection directTypes)

  Specified by:
    `createSlot` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `createSlot` in class `edu.stanford.smi.protege.model.framestore.DefaultFrameFactory`

### isCorrectJavaImplementationClass

    public boolean isCorrectJavaImplementationClass(edu.stanford.smi.protege.model.FrameID id,
                                                    Collection types,
                                                    Class clas)

  Specified by:
    `isCorrectJavaImplementationClass` in interface `edu.stanford.smi.protege.model.FrameFactory`
  Overrides:
    `isCorrectJavaImplementationClass` in class `edu.stanford.smi.protege.model.framestore.DefaultFrameFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.